import { Base, Type, INotifyPropertyChanged, PropertyChangedEventArgs } from "igniteui-webcomponents-core";
import { DomRenderer } from "igniteui-webcomponents-core";
import { Brush } from "igniteui-webcomponents-core";
import { FontInfo } from "igniteui-webcomponents-core";
import { Grid } from "./Grid";
import { BaseControlTheme } from "igniteui-webcomponents-core";
import { ControlDisplayDensity } from "igniteui-webcomponents-core";
import { CheckboxList } from "./CheckboxList";
import { Thickness } from "igniteui-webcomponents-core";
/**
 * @hidden
 */
export declare class ColumnChooserView extends Base {
    static $t: Type;
    private d;
    private c;
    private e;
    constructor();
    a: ColumnChooser;
    h(): void;
    b: DomRenderer;
    g(a: DomRenderer): void;
    i(): void;
    j(): void;
    k(): void;
    l(): void;
    m(): void;
    f(): void;
}
/**
 * @hidden
 */
export declare class ColumnChooser extends Base implements INotifyPropertyChanged {
    static $t: Type;
    private c;
    private h;
    propertyChanged: (sender: any, e: PropertyChangedEventArgs) => void;
    private m;
    constructor();
    notifySizeChanged(): void;
    destroy(): void;
    provideContainer(a: DomRenderer, b: CheckboxList): void;
    private k;
    private readonly l;
    private a;
    b: Grid;
    private o;
    v: string;
    private i;
    j: FontInfo;
    private ap;
    ar: Brush;
    private n;
    s: string;
    private d;
    e: BaseControlTheme;
    private f;
    g: ControlDisplayDensity;
    private ao;
    aq: Brush;
    protected ag(a: string, b: any, c: any): void;
    protected ah(a: string, b: any, c: any): void;
    private ak;
    private aj;
    private am;
    private z;
    private aa;
    an(a: Thickness): void;
    al(): void;
    ae(): void;
    private ad;
    private ac;
}
